package org.wfc.omada.api.client.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

/**
 * Client lock to ap setting.
 */
@ApiModel(description = "Client lock to ap setting.")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T10:16:05.926+08:00[Asia/Shanghai]")

public class ClientLockToApSetting   {
  @JsonProperty("enable")
  private Boolean enable;

  @JsonProperty("aps")
  @Valid
  private List<ApBriefInfoVo> aps = null;

  public ClientLockToApSetting enable(Boolean enable) {
    this.enable = enable;
    return this;
  }

  /**
   * Lock to AP enable.
   * @return enable
  */
  @ApiModelProperty(value = "Lock to AP enable.")


  public Boolean getEnable() {
    return enable;
  }

  public void setEnable(Boolean enable) {
    this.enable = enable;
  }

  public ClientLockToApSetting aps(List<ApBriefInfoVo> aps) {
    this.aps = aps;
    return this;
  }

  public ClientLockToApSetting addApsItem(ApBriefInfoVo apsItem) {
    if (this.aps == null) {
      this.aps = new ArrayList<>();
    }
    this.aps.add(apsItem);
    return this;
  }

  /**
   * AP name and MAC info list.
   * @return aps
  */
  @ApiModelProperty(value = "AP name and MAC info list.")

  @Valid

  public List<ApBriefInfoVo> getAps() {
    return aps;
  }

  public void setAps(List<ApBriefInfoVo> aps) {
    this.aps = aps;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    ClientLockToApSetting clientLockToApSetting = (ClientLockToApSetting) o;
    return Objects.equals(this.enable, clientLockToApSetting.enable) &&
        Objects.equals(this.aps, clientLockToApSetting.aps);
  }

  @Override
  public int hashCode() {
    return Objects.hash(enable, aps);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class ClientLockToApSetting {\n");
    
    sb.append("    enable: ").append(toIndentedString(enable)).append("\n");
    sb.append("    aps: ").append(toIndentedString(aps)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

